Create Orders
curl --request POST \
--url https://scx-sbx.api.jtl-software.com/v1/channel/order \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"orderList": [
{
"sellerId": "4711",
"orderId": "43523-43432-43532",
"purchasedAt": "2019-02-11T14:54:32+00:00",
"lastChangedAt": "2019-02-11T16:54:32+00:00",
"currency": "EUR",
"orderItem": [
{
"orderItemId": "5437233",
"type": "ITEM",
"grossPrice": "2.00",
"total": "2.00",
"taxPercent": "16.00",
"grossFee": "0.29",
"offerId": 5437233,
"channelOfferId": "XCD233554",
"sku": "BEER-001",
"quantity": "1.0",
"title": "Dark Beer",
"estimatedShippingDate": "2010-03-11T00:00:00+00:00",
"estimatedDeliveryDate": "2010-03-12T00:00:00+00:00",
"remainingQuantity": "54.0",
"additionalOrderItemData": [
{
"group": "Marketplace Fees",
"values": [
{
"key": "Advertising fee",
"value": "0.50 USD"
}
]
}
],
"shipFromCountry": "DEU"
}
],
"orderAcceptUntil": "2023-11-07T05:31:56Z",
"paymentMethod": "CHANNEL",
"paymentReference": "<string>",
"note": "This note can be everything, but a least a additional message.",
"buyer": {
"email": "jsmith@example.com",
"vatId": "<string>"
},
"weeePickup": true,
"language": "de",
"invoiceDocumentTransfer": "from-seller",
"additionalOrderData": [
{
"group": "Marketplace Fees",
"values": [
{
"key": "Advertising fee",
"value": "0.50 USD"
}
]
}
],
"fbc": true,
"b2b": false,
"salesChannelName": "MyMarketplace.de"
}
]
}
'import requests
url = "https://scx-sbx.api.jtl-software.com/v1/channel/order"
payload = { "orderList": [
{
"sellerId": "4711",
"orderId": "43523-43432-43532",
"purchasedAt": "2019-02-11T14:54:32+00:00",
"lastChangedAt": "2019-02-11T16:54:32+00:00",
"currency": "EUR",
"orderItem": [
{
"orderItemId": "5437233",
"type": "ITEM",
"grossPrice": "2.00",
"total": "2.00",
"taxPercent": "16.00",
"grossFee": "0.29",
"offerId": 5437233,
"channelOfferId": "XCD233554",
"sku": "BEER-001",
"quantity": "1.0",
"title": "Dark Beer",
"estimatedShippingDate": "2010-03-11T00:00:00+00:00",
"estimatedDeliveryDate": "2010-03-12T00:00:00+00:00",
"remainingQuantity": "54.0",
"additionalOrderItemData": [
{
"group": "Marketplace Fees",
"values": [
{
"key": "Advertising fee",
"value": "0.50 USD"
}
]
}
],
"shipFromCountry": "DEU"
}
],
"orderAcceptUntil": "2023-11-07T05:31:56Z",
"paymentMethod": "CHANNEL",
"paymentReference": "<string>",
"note": "This note can be everything, but a least a additional message.",
"buyer": {
"email": "jsmith@example.com",
"vatId": "<string>"
},
"weeePickup": True,
"language": "de",
"invoiceDocumentTransfer": "from-seller",
"additionalOrderData": [
{
"group": "Marketplace Fees",
"values": [
{
"key": "Advertising fee",
"value": "0.50 USD"
}
]
}
],
"fbc": True,
"b2b": False,
"salesChannelName": "MyMarketplace.de"
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
orderList: [
{
sellerId: '4711',
orderId: '43523-43432-43532',
purchasedAt: '2019-02-11T14:54:32+00:00',
lastChangedAt: '2019-02-11T16:54:32+00:00',
currency: 'EUR',
orderItem: [
{
orderItemId: '5437233',
type: 'ITEM',
grossPrice: '2.00',
total: '2.00',
taxPercent: '16.00',
grossFee: '0.29',
offerId: 5437233,
channelOfferId: 'XCD233554',
sku: 'BEER-001',
quantity: '1.0',
title: 'Dark Beer',
estimatedShippingDate: '2010-03-11T00:00:00+00:00',
estimatedDeliveryDate: '2010-03-12T00:00:00+00:00',
remainingQuantity: '54.0',
additionalOrderItemData: [
{
group: 'Marketplace Fees',
values: [{key: 'Advertising fee', value: '0.50 USD'}]
}
],
shipFromCountry: 'DEU'
}
],
orderAcceptUntil: '2023-11-07T05:31:56Z',
paymentMethod: 'CHANNEL',
paymentReference: '<string>',
note: 'This note can be everything, but a least a additional message.',
buyer: {email: 'jsmith@example.com', vatId: '<string>'},
weeePickup: true,
language: 'de',
invoiceDocumentTransfer: 'from-seller',
additionalOrderData: [
{
group: 'Marketplace Fees',
values: [{key: 'Advertising fee', value: '0.50 USD'}]
}
],
fbc: true,
b2b: false,
salesChannelName: 'MyMarketplace.de'
}
]
})
};
fetch('https://scx-sbx.api.jtl-software.com/v1/channel/order', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"errorList": [
{
"code": "CHN401",
"message": "Not all orders could be processed. 9 out of 10 orders were stored successfully",
"severity": "warning",
"hint": null
}
]
}{
"errorList": [
{
"code": "GEN500",
"message": "Internal Server Error",
"severity": "error",
"hint": null
}
]
}Order
Create Orders
Create new Orders
POST
/
v1
/
channel
/
order
Create Orders
Authorizations
As a Channel Integrator you will receive a API Refresh Token. With such a Refresh Token you need to request an Access Token with a limited Lifetime (see POST /v1/auth). This Access Token must be provided as a Bearer Token in the Authorization Header with every request.
Body
application/json
List of new orders received from the marketplace that should be forwarded to the sellers.
Required array length:
1 - 1000 elementsShow child attributes
Show child attributes
Response
Call was overall successful but some items can be faulty
Show child attributes
Show child attributes
Example:
[ { "code": "GEN700", "message": "Seller SELLER_4711 does not exist on channel kaufland.", "severity": "error", "hint": "i9n-order22" } ]
Was this page helpful?
⌘I